Subject: [Lake] (premature to close #50) Re: Weekly github digest (reqs, edhoc)

From: Rene Struik <[email-masked]>
Date: Wed, 2 Feb 2022 10:45:01 -0500

Dear colleagues:

I think it is premature to close #50: Add ciphersuite with Wei25519.

After, this would imply one would have to give up on any schemes with a 
CFRG curve under the hood, since not sufficiently secure.

{I do realize that Stephen Farrell brought this to the CFRG mailing 
list, so formally this is still up to discussion. However, the verdict 
seems to be clear, where the only person who does not seem to 
acknowledge there is a problem seems to be Dan Bernstein (which is to be 
expected from cryptographers I polled on this offline).}

For an assessment of the maturity of various ciphersuites, see my email 
of Tue Jan 25, 2022, 10.31am EST, where I wrote

    In my mind, the Lake WG cannot really use Ed25519 as is and can
    either abandon any CFRG curve (i.e., use P-256 and ECDSA
    w/P-256/SHA-256), use Wei25519 and ECDSA25519 (i.e., still have the
    speedier Curve25519 under the hood, but use ECDSA instead of
    Ed25519), or fix the specification of Ed25519 with CFRG and, after
    reviewing whether this is a real fix and getting this sealed, still
    consider Ed25519. To me, it is puzzling that the last option was not
    taken for over two years now, so - right now - the path of least
    resistance is either going for slower NISTp curves or for ECDSA25519.

#50 suggests there is a problem with progressing the lwig-curve draft. I 
can only say here that this was tabled for discussion on the IESG 
telechat on Feb 18, 2021. It is baffling to me that IESG has made a 
complete mess of the IETF process ever since, where one can only 
speculate on the reasons for this. I would suggest: ask the IESG 
themselves why they have been dragging their heels on this one, since I 
am curious too! -- but please do so on a public forum, so that 
transparency is restored.

Ref: [1] 
https://mailarchive.ietf.org/arch/msg/lake/rux4wL2SrV70YH_Wo2u7_EUjCJ0/

On 2022-01-30 2:30 a.m., Webmaster via GitHub API wrote:
> Weekly github digest (reqs, edhoc)
>
>
>   Sunday January 30, 2022
>
>
>     Issues
>
>
>       lake-wg/edhoc (+2/-3/💬25)
>
> 2 issues created:
>
>   * #238 When does the Compliance requirements apply
>     <https://github.com/lake-wg/edhoc/issues/238> (by emanjon)
>   * #235 Decision to use SHA-256/64 for I_CRED_R in
>     draft-selander-lake-traces-02
>     <https://github.com/lake-wg/edhoc/issues/235> (by mrdeep1)
>
> 9 issues received 25 new comments:
>
>   * #235 Decision to use SHA-256/64 for I_CRED_R in
>     draft-selander-lake-traces-02
>     <https://github.com/lake-wg/edhoc/issues/235> (3 by emanjon,
>     stoprocent) traces and test vectors Clarification in specification
>     needed
>   * #229 Vectors.cpp app build is not cross-platform friendly
>     <https://github.com/lake-wg/edhoc/issues/229> (1 by gselander)
>     traces and test vectors
>   * #224 State diagram <https://github.com/lake-wg/edhoc/issues/224>
>     (2 by emanjon) Close? PR exists
>   * #217 Sean Turner's review of -12
>     <https://github.com/lake-wg/edhoc/issues/217> (2 by emanjon)
>     Close? Merged to master
>   * #214 Security considerations on gererating secret material and
>     public material such as connection IDs.
>     <https://github.com/lake-wg/edhoc/issues/214> (3 by emanjon,
>     gselander) PR exists
>   * #208 Error message => Discontinue
>     <https://github.com/lake-wg/edhoc/issues/208> (5 by emanjon) PR
>     exists Interim 25 Jan 2022
>   * #202 Stephen Farrell 's review of -12
>     <https://github.com/lake-wg/edhoc/issues/202> (2 by emanjon)
>     Close? Merged to master
>   * #167 Registration procedures for the new EDHOC registries
>     <https://github.com/lake-wg/edhoc/issues/167> (6 by emanjon,
>     gselander)
>   * #50 Add cipher suite with Wei25519
>     <https://github.com/lake-wg/edhoc/issues/50> (1 by emanjon)
>     Interim 25 Jan 2022 Cipher Suite cluster
>
> 3 issues closed:
>
>   * #224 State diagram <https://github.com/lake-wg/edhoc/issues/224>
>     Close? Merged to master
>   * #202 Stephen Farrell 's review of -12
>     <https://github.com/lake-wg/edhoc/issues/202> Close? Merged to master
>   * #217 Sean Turner's review of -12
>     <https://github.com/lake-wg/edhoc/issues/217> Close? Merged to master
>
>
>     Pull requests
>
>
>       lake-wg/edhoc (+4/-1/💬0)
>
> 4 pull requests submitted:
>
>   * #239 When does the Compliance requirements apply #238
>     <https://github.com/lake-wg/edhoc/pull/239> (by emanjon)
>   * #237 Updated p-256 test vectors to use SHA256/64 in ID_CRED_x
>     <https://github.com/lake-wg/edhoc/pull/237> (by stoprocent)
>   * #236 Decision to use SHA-256/64 for I_CRED_R #235
>     <https://github.com/lake-wg/edhoc/pull/236> (by emanjon)
>   * #234 Error message => Discontinue #208
>     <https://github.com/lake-wg/edhoc/pull/234> (by emanjon)
>
> 1 pull requests merged:
>
>   * #232 State diagram #224 <https://github.com/lake-wg/edhoc/pull/232>
>
> Repositories tracked by this digest:
>
>   * https://github.com/lake-wg/reqs
>   * https://github.com/lake-wg/edhoc
>
>

-- 
email:[email-masked]  | Skype: rstruik
cell: +1 (647) 867-5658 | US: +1 (415) 287-3867